Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampUnit::TestResult Class Reference

テスト結果 More...

`#include <TestResult.h>`

Inheritance diagram for LampUnit::TestResult:

List of all members.

## Public Member Functions
| TestResult (SynchronizationObject *synchronizationObject=0)
| コンストラクタ
virtual | ~TestResult ()
| デストラクタ
virtual void | startTest (Test *test)
| テストの開始
virtual void | endTest (Test *test)
| テストの終了
virtual void | addFailure (const TestFailure &failure)
| 失敗の追加
virtual void | addListener (TestListener *testListener)
| テストリスナの追加
virtual void | stop ()
| テストの停止
virtual bool | shouldStop () const
| テストを停止するべきか
virtual int | getRunCount () const
| 実行カウントの取得
virtual int | getFailureCount () const
| 失敗カウントの取得
virtual bool | wasSuccessful () const
| 成功したかどうか
## Protected Types
typedef Lamp::ArrayList< TestListener * > | TestListeners
| テストリスナ配列型
## Protected Attributes
TestListeners | testListeners_
| テストリスナ配列
bool | shouldStop_
| 停止フラグ
int | executeCount_
| 実行数
int | failedCount_
| 失敗数

## Detailed Description

テスト結果

Definition at line 41 of file TestResult.h.

## Constructor & Destructor Documentation

LampUnit::TestResult::TestResult | ( | SynchronizationObject * | synchronizationObject = 0 | ) |

  | コンストラクタ Parameters:
  synchronizationObject | シンクロナイゼーションオブジェクト
Definition at line 33 of file TestResult.cpp.

## Member Function Documentation

void LampUnit::TestResult::addFailure | ( | const TestFailure & | failure | ) | `[virtual]`

  | 失敗の追加 Parameters:
  failure | 追加する失敗
Definition at line 76 of file TestResult.cpp. References failedCount_, LampUnit::SynchronizedObject::synchronizationObject_, and testListeners_. Referenced by LampUnit::TestCase::addFailure().

void LampUnit::TestResult::addListener | ( | TestListener * | testListener | ) | `[virtual]`

  | テストリスナの追加 Parameters:
  testListener | 追加するテストリスナ
Definition at line 51 of file TestResult.cpp. References LampUnit::SynchronizedObject::synchronizationObject_, and testListeners_.

void LampUnit::TestResult::endTest | ( | Test * | test | ) | `[virtual]`

  | テストの終了 Parameters:
  test | 終了するテスト
Definition at line 67 of file TestResult.cpp. References LampUnit::SynchronizedObject::synchronizationObject_, and testListeners_. Referenced by LampUnit::TestCase::run().

int LampUnit::TestResult::getFailureCount | ( |  | ) | const`[virtual]`

| 失敗カウントの取得 Returns: 失敗カウント Definition at line 92 of file TestResult.cpp. References failedCount_, and LampUnit::SynchronizedObject::synchronizationObject_.

int LampUnit::TestResult::getRunCount | ( |  | ) | const`[virtual]`

| 実行カウントの取得 Returns: 実行カウント Definition at line 86 of file TestResult.cpp. References executeCount_, and LampUnit::SynchronizedObject::synchronizationObject_.

bool LampUnit::TestResult::shouldStop | ( |  | ) | const`[virtual]`

  | テストを停止するべきか Return values:
  true | テストを停止する
  false | テストを停止しない
Definition at line 45 of file TestResult.cpp. References shouldStop_, and LampUnit::SynchronizedObject::synchronizationObject_. Referenced by LampUnit::TestSuite::run().

void LampUnit::TestResult::startTest | ( | Test * | test | ) | `[virtual]`

  | テストの開始 Parameters:
  test | 開始するテスト
Definition at line 57 of file TestResult.cpp. References executeCount_, LampUnit::SynchronizedObject::synchronizationObject_, and testListeners_. Referenced by LampUnit::TestCase::run().

bool LampUnit::TestResult::wasSuccessful | ( |  | ) | const`[virtual]`

| 成功したかどうか Returns: 成功していればtrueを返す。 Definition at line 101 of file TestResult.cpp. References failedCount_, and LampUnit::SynchronizedObject::synchronizationObject_.

The documentation for this class was generated from the following files:

- TestResult.h
- TestResult.cpp